Subject: Re: [bug#66034] [PATCH gnome-team 1/3] gnu: glib: fix required.private reference to pcre.

From: Vivien Kraus <[email-masked]>
Date: Sun, 17 Sep 2023 06:07:34 +0200

Le samedi 16 septembre 2023 à 20:52 +0200, Liliana Marie Prikler a
écrit :
> Am Samstag, dem 16.09.2023 um 11:55 +0200 schrieb Vivien Kraus:
> > * gnu/packages/glib.scm (glib) [#:phases 'patch-pkg-config-files]:
> > Replace the reference to libpcre-8 to libpcre2-8.
> > ---
> Logic-wise LGTM, but…
> >  gnu/packages/glib.scm | 7 ++++++-
> >  1 file changed, 6 insertions(+), 1 deletion(-)
> > 
> > diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
> > index 8af89d60e0..dcc61802a4 100644
> > --- a/gnu/packages/glib.scm
> > +++ b/gnu/packages/glib.scm
> > @@ -449,7 +449,12 @@ (define glib
> >                  (("^bindir=.*")
> >                   "")
> >                  (("=\\$\\{bindir\\}/")
> > -                 "=")))))))
> > +                 "="))
> > +              ;; Update the required.private pcre pkg-config name
> > +              (substitute*
> > +                  (list (search-input-file outputs
> > "lib/pkgconfig/glib-2.0.pc"))
> Is there a reason to use a list here?  Also, can we not do this
> earlier?

I am confused. This is not required at all, glib already points to the
correct libpcre2-8.pc. I don’t know why I thought this would not be the
case; maybe I checked the glib output on the wrong branch.

Anyway, can you just ignore this patch, or do you prefer that I send
the series again, without this one?

Vivien